# Dixa API

Version: v1

## Servers

```
https://dev.dixa.io
```

## Security

### ApiKeyAuth

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

 - [Dixa API](https://docs.dixa.io/_bundle/openapi/dixa-api/@v1/v1.yaml)

## Analytics

 - [GET /v1/analytics/metrics](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsmetrics.md): This endpoint lists all available metric IDs that can be used to fetch data in Get Metric Data
 - [POST /v1/analytics/metrics](https://docs.dixa.io/openapi/dixa-api/v1/analytics/postanalyticsmetrics.md): Get data of a specific metric (aggregated)
 - [GET /v1/analytics/metrics/{metricId}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsmetricsmetricid.md): This endpoint lists all available properties of a metric to use for querying its data
 - [GET /v1/analytics/filter/{filterAttribute}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsfilterfilterattribute.md): Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter valu
 - [GET /v1/analytics/records](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsrecords.md): This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data
 - [POST /v1/analytics/records](https://docs.dixa.io/openapi/dixa-api/v1/analytics/postanalyticsrecords.md): Get data of specific metric records (unaggregated)
 - [GET /v1/analytics/records/{recordId}](https://docs.dixa.io/openapi/dixa-api/v1/analytics/getanalyticsrecordsrecordid.md): This endpoint lists all available properties of a record to use for querying its data
## Agents

 - [GET /v1/agents/presence](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentspresence.md): List the presence status for all agents/admins in an organization.
 - [GET /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagents.md): Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.
 - [PUT /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagents.md): Bulk update agents/admins.
 - [POST /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/postagents.md): Create an agent.
 - [PATCH /v1/agents](https://docs.dixa.io/openapi/dixa-api/v1/agents/patchagents.md): Bulk patch agents/admins.
 - [GET /v1/agents/{agentId}/teams](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentidteams.md): List the teams in which the agent/admin is a member.
 - [GET /v1/agents/{agentId}/presence](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentidpresence.md): Get the presence status for an agent/admin.
 - [POST /v1/agents/bulk](https://docs.dixa.io/openapi/dixa-api/v1/agents/postagentsbulk.md): Create agents in bulk.
 - [GET /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/getagentsagentid.md): Get an agent/admin by id.
 - [PUT /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagentsagentid.md): Update an agent/admin.
 - [DELETE /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/deleteagentsagentid.md): Downgrade an agent/admin to become an end user.
 - [PATCH /v1/agents/{agentId}](https://docs.dixa.io/openapi/dixa-api/v1/agents/patchagentsagentid.md): Patch an agent/admin.
 - [PUT /v1/agents/{agentId}/presence/working-channel](https://docs.dixa.io/openapi/dixa-api/v1/agents/putagentsagentidpresenceworking-channel.md): Updates the working channel of an agent
## AI Agents

 - [GET /v1/ai-agents](https://docs.dixa.io/openapi/dixa-api/v1/ai-agents/getai-agents.md): Lists all AI agents in an organization. AI agents include Dixa's native Mim agents and external chatbot integrations.
## End Users

 - [GET /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusers.md): Lists all end users in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.<br/> <b>Note:</b>
 - [PUT /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/putendusers.md): Bulk update end users.
 - [POST /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/postendusers.md): Create an end user.
 - [PATCH /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusers.md): Bulk patch end users.
 - [POST /v1/endusers/bulk](https://docs.dixa.io/openapi/dixa-api/v1/end-users/postendusersbulk.md): Create multiple end users in a single bulk action
 - [GET /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusersuserid.md): Get an end user by id.
 - [PUT /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/putendusersuserid.md): Update an end user.
 - [PATCH /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuserid.md): Patch an end user.
 - [PATCH /v1/endusers/{userId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuseridanonymize.md): Request the anonymization of an end user.
 - [PATCH /v1/endusers/{userId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/end-users/patchendusersuseridcustom-attributes.md): Patch custom attributes of an end user
 - [GET /v1/endusers/{userId}/conversations](https://docs.dixa.io/openapi/dixa-api/v1/end-users/getendusersuseridconversations.md): Lists conversations requested by an end user. <br/> Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the [GET /conversati
## Chatbots

 - [POST /v1/endusers](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postendusers.md): Create an end user.
 - [GET /v1/endusers/{userId}](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuserid.md): Get an end user by id.
 - [GET /v1/endusers/{userId}/conversations](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getendusersuseridconversations.md): Lists conversations requested by an end user. <br/> Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a conversation use the [GET /conversati
 - [PUT /v1/conversations/{conversationId}/close](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidclose.md): Mark a conversation as closed by providing its id.
 - [PUT /v1/conversations/{conversationId}/followup](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidfollowup.md): Follow up a conversation by providing its id and expiration timestamp.
 - [PUT /v1/conversations/{conversationId}/transfer/queue](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidtransferqueue.md): Transfer a conversation to a target queue.
 - [POST /v1/conversations/{conversationId}/ratings/{ratingId}/submit](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsconversationidratingsratingidsubmit.md): Create a rating result for a specific conversation.
 - [POST /v1/conversations/{conversationId}/ratings/offer](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsconversationidratingsoffer.md): Create a rating offer for a specific conversation.
 - [POST /v1/conversations](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversations.md): Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
 - [POST /v1/conversations/import](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/postconversationsimport.md): Import a previously created conversation into Dixa. For inbound messages the author is assumed to be the requester of the conversation (end user), unless the specific channel supports overriding the m
 - [PUT /v1/conversations/{conversationId}/claim](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/putconversationsconversationidclaim.md): Claim a conversation for a given agent. To avoid taking over assigned conversations, set the `force` paremeter to false
 - [GET /v1/queues/{queueId}/availability](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getqueuesqueueidavailability.md): Get availability of supported channels for a given queue. Currently supported channels are adachat, kindlychat, digitalgeniuschat, genericapimessaging.
 - [GET /v1/queues/conversation-position/{csid}](https://docs.dixa.io/openapi/dixa-api/v1/chatbots/getqueuesconversation-positioncsid.md): Get the approximate position of a given conversation in its current queue.
## Anonymization

 - [PATCH /v1/endusers/{userId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/patchendusersuseridanonymize.md): Request the anonymization of an end user.
 - [PATCH /v1/conversations/{conversationId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/patchconversationsconversationidanonymize.md): Request the anonymization of a conversation.
 - [PATCH /v1/conversations/{conversationId}/messages/{messageId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/patchconversationsconversationidmessagesmessageidanonymize.md): Request the anonymization of a single message in a conversation.
 - [GET /v1/anonymization/request/{requestId}](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/getanonymizationrequestrequestid.md): Retrieve an anonymization request submitted earlier (user or conversation).
 - [POST /v1/anonymization](https://docs.dixa.io/openapi/dixa-api/v1/anonymization/postanonymization.md): Anonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status `closed`. Otherwise, it requires `forceAnonymization` parameter set
## Custom Attributes

 - [PATCH /v1/endusers/{userId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/custom-attributes/patchendusersuseridcustom-attributes.md): Patch custom attributes of an end user
 - [PATCH /v1/conversations/{conversationId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/custom-attributes/patchconversationsconversationidcustom-attributes.md): Patch custom attributes of a conversation
 - [GET /v1/custom-attributes/{customAttributeId}](https://docs.dixa.io/openapi/dixa-api/v1/custom-attributes/getcustom-attributescustomattributeid.md): Get custom attribute in an organization by id.
 - [GET /v1/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/custom-attributes/getcustom-attributes.md): List all custom attributes in an organization.
## Teams

 - [GET /v1/teams](https://docs.dixa.io/openapi/dixa-api/v1/teams/getteams.md): Lists all teams in an organization.
 - [POST /v1/teams](https://docs.dixa.io/openapi/dixa-api/v1/teams/postteams.md): Create a team.
 - [GET /v1/teams/{teamId}/agents](https://docs.dixa.io/openapi/dixa-api/v1/teams/getteamsteamidagents.md): Lists all agents/admins in a team.
 - [DELETE /v1/teams/{teamId}/agents](https://docs.dixa.io/openapi/dixa-api/v1/teams/deleteteamsteamidagents.md): Remove agents/admins from a team.
 - [PATCH /v1/teams/{teamId}/agents](https://docs.dixa.io/openapi/dixa-api/v1/teams/patchteamsteamidagents.md): Add agents/admins to a team.
 - [GET /v1/teams/{teamId}/presence](https://docs.dixa.io/openapi/dixa-api/v1/teams/getteamsteamidpresence.md): List the presence status of all agents/admins in a team.
 - [GET /v1/teams/{teamId}](https://docs.dixa.io/openapi/dixa-api/v1/teams/getteamsteamid.md): Get a team by id.
 - [DELETE /v1/teams/{teamId}](https://docs.dixa.io/openapi/dixa-api/v1/teams/deleteteamsteamid.md): Delete a team.
## Conversations

 - [PATCH /v1/conversations/{conversationId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/conversations/patchconversationsconversationidanonymize.md): Request the anonymization of a conversation.
 - [PATCH /v1/conversations/{conversationId}/messages/{messageId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/conversations/patchconversationsconversationidmessagesmessageidanonymize.md): Request the anonymization of a single message in a conversation.
 - [PUT /v1/conversations/{conversationId}/close](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidclose.md): Mark a conversation as closed by providing its id.
 - [PUT /v1/conversations/{conversationId}/followup](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidfollowup.md): Follow up a conversation by providing its id and expiration timestamp.
 - [PUT /v1/conversations/{conversationId}/reopen](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidreopen.md): Reopen a conversation and offer it in the same queue. Falls back to the default organization queue if the conversation has no target queue.
 - [PUT /v1/conversations/{conversationId}/transfer/queue](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidtransferqueue.md): Transfer a conversation to a target queue.
 - [POST /v1/conversations/{conversationId}/notes/bulk](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidnotesbulk.md): Create internal notes in a conversation by providing the conversation id.
 - [GET /v1/conversations/{conversationId}/notes](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidnotes.md): Get all internal notes for a particular conversation by providing the conversation id.
 - [POST /v1/conversations/{conversationId}/notes](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidnotes.md): Create an internal note in a conversation by providing the conversation id.
 - [POST /v1/conversations/{conversationId}/ratings/{ratingId}/submit](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidratingsratingidsubmit.md): Create a rating result for a specific conversation.
 - [POST /v1/conversations/{conversationId}/ratings/offer](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidratingsoffer.md): Create a rating offer for a specific conversation.
 - [GET /v1/conversations/{conversationId}/ratings](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidratings.md): Lists latest ratings statuses for a particular conversation by providing the conversation ID. For surveys with multiple questions, rating status will be reported for each individual question of the su
 - [GET /v1/conversations/activitylog](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsactivitylog.md): List all activity logs for an organization.
 - [GET /v1/conversations/flows](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsflows.md): List all conversations flows in an organization.
 - [PUT /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidtagstagid.md): Tag a conversation. You may only use active tags to tag conversations.
 - [DELETE /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/conversations/deleteconversationsconversationidtagstagid.md): Untag a conversation. You may remove active or inactive tags from a conversation.
 - [POST /v1/conversations/{conversationId}/tags/bulk](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidtagsbulk.md): Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.
 - [GET /v1/conversations/{conversationId}/tags](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidtags.md): Get the tags for a particular conversation by providing the conversation id.
 - [GET /v1/conversations/{conversationId}/messages](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidmessages.md): Get all messages for a particular conversation by providing the conversation id. Note that messages in `ContactForm` conversations can have attributes of `"_type": "EmailAttributes"` if they are creat
 - [POST /v1/conversations/{conversationId}/messages](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsconversationidmessages.md): Add a message to a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field. <
 - [POST /v1/conversations](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversations.md): Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
 - [POST /v1/conversations/import](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postconversationsimport.md): Import a previously created conversation into Dixa. For inbound messages the author is assumed to be the requester of the conversation (end user), unless the specific channel supports overriding the m
 - [PATCH /v1/conversations/{conversationId}/custom-attributes](https://docs.dixa.io/openapi/dixa-api/v1/conversations/patchconversationsconversationidcustom-attributes.md): Patch custom attributes of a conversation
 - [PUT /v1/conversations/{conversationId}/claim](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidclaim.md): Claim a conversation for a given agent. To avoid taking over assigned conversations, set the `force` paremeter to false
 - [GET /v1/conversations/{conversationId}/activitylog](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidactivitylog.md): Get the activity log for a conversation by providing the conversation id.
 - [GET /v1/conversations/{conversationId}](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationid.md): Get a conversation by id.
 - [PUT /v1/conversations/{conversationId}/link](https://docs.dixa.io/openapi/dixa-api/v1/conversations/putconversationsconversationidlink.md): Links the specified conversation to a parent conversation with the specified link type. Limitations: * Maximum of 100 child conversations per parent * Only 1 parent per child conversation * A child co
 - [GET /v1/conversations/{conversationId}/linked](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidlinked.md): Lists all linked child conversations for the given conversation ID, such as transcripts and side conversations.
 - [POST /v1/search/conversations](https://docs.dixa.io/openapi/dixa-api/v1/conversations/postsearchconversations.md): Search for conversations containing a particular text or by filter or combine them both
 - [GET /v1/conversations/{conversationId}/rating](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getconversationsconversationidrating.md): Deprecated rating endpoint. Use '/ratings'.
 - [GET /v1/search/conversations](https://docs.dixa.io/openapi/dixa-api/v1/conversations/getsearchconversations.md): NOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.
## Messages

 - [PATCH /v1/conversations/{conversationId}/messages/{messageId}/anonymize](https://docs.dixa.io/openapi/dixa-api/v1/messages/patchconversationsconversationidmessagesmessageidanonymize.md): Request the anonymization of a single message in a conversation.
 - [GET /v1/conversations/{conversationId}/messages](https://docs.dixa.io/openapi/dixa-api/v1/messages/getconversationsconversationidmessages.md): Get all messages for a particular conversation by providing the conversation id. Note that messages in `ContactForm` conversations can have attributes of `"_type": "EmailAttributes"` if they are creat
 - [POST /v1/conversations/{conversationId}/messages](https://docs.dixa.io/openapi/dixa-api/v1/messages/postconversationsconversationidmessages.md): Add a message to a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field. <
## Internal Notes

 - [POST /v1/conversations/{conversationId}/notes/bulk](https://docs.dixa.io/openapi/dixa-api/v1/internal-notes/postconversationsconversationidnotesbulk.md): Create internal notes in a conversation by providing the conversation id.
 - [GET /v1/conversations/{conversationId}/notes](https://docs.dixa.io/openapi/dixa-api/v1/internal-notes/getconversationsconversationidnotes.md): Get all internal notes for a particular conversation by providing the conversation id.
 - [POST /v1/conversations/{conversationId}/notes](https://docs.dixa.io/openapi/dixa-api/v1/internal-notes/postconversationsconversationidnotes.md): Create an internal note in a conversation by providing the conversation id.
## Ratings

 - [POST /v1/conversations/{conversationId}/ratings/{ratingId}/submit](https://docs.dixa.io/openapi/dixa-api/v1/ratings/postconversationsconversationidratingsratingidsubmit.md): Create a rating result for a specific conversation.
 - [POST /v1/conversations/{conversationId}/ratings/offer](https://docs.dixa.io/openapi/dixa-api/v1/ratings/postconversationsconversationidratingsoffer.md): Create a rating offer for a specific conversation.
 - [GET /v1/conversations/{conversationId}/ratings](https://docs.dixa.io/openapi/dixa-api/v1/ratings/getconversationsconversationidratings.md): Lists latest ratings statuses for a particular conversation by providing the conversation ID. For surveys with multiple questions, rating status will be reported for each individual question of the su
 - [GET /v1/conversations/{conversationId}/rating](https://docs.dixa.io/openapi/dixa-api/v1/ratings/getconversationsconversationidrating.md): Deprecated rating endpoint. Use '/ratings'.
## Tags

 - [PUT /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/putconversationsconversationidtagstagid.md): Tag a conversation. You may only use active tags to tag conversations.
 - [DELETE /v1/conversations/{conversationId}/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/deleteconversationsconversationidtagstagid.md): Untag a conversation. You may remove active or inactive tags from a conversation.
 - [POST /v1/conversations/{conversationId}/tags/bulk](https://docs.dixa.io/openapi/dixa-api/v1/tags/postconversationsconversationidtagsbulk.md): Initiate bulk tag of a conversation and process it asynchronously. If a tag with corresponding name does not exist it will be created.
 - [GET /v1/conversations/{conversationId}/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/getconversationsconversationidtags.md): Get the tags for a particular conversation by providing the conversation id.
 - [GET /v1/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/gettags.md): List all tags in an organization. Only active tags are returned by default. To include deactivated tags use `?includeDeactivated=true`.
 - [POST /v1/tags](https://docs.dixa.io/openapi/dixa-api/v1/tags/posttags.md): Create a tag.
 - [GET /v1/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/gettagstagid.md): Get a tag by id.
 - [DELETE /v1/tags/{tagId}](https://docs.dixa.io/openapi/dixa-api/v1/tags/deletetagstagid.md): Deletes the tag and all its associations. Note that this operation is irreversible.
 - [PATCH /v1/tags/{tagId}/deactivate](https://docs.dixa.io/openapi/dixa-api/v1/tags/patchtagstagiddeactivate.md): Deactivate a tag.
 - [PATCH /v1/tags/{tagId}/activate](https://docs.dixa.io/openapi/dixa-api/v1/tags/patchtagstagidactivate.md): Activate a tag.
## Queues

 - [GET /v1/queues](https://docs.dixa.io/openapi/dixa-api/v1/queues/getqueues.md): List all queues in an organization.
 - [POST /v1/queues](https://docs.dixa.io/openapi/dixa-api/v1/queues/postqueues.md): Create a queue.
 - [GET /v1/queues/{queueId}/members](https://docs.dixa.io/openapi/dixa-api/v1/queues/getqueuesqueueidmembers.md): List all agents/admins that are members of a queue by providing the queue id.
 - [DELETE /v1/queues/{queueId}/members](https://docs.dixa.io/openapi/dixa-api/v1/queues/deletequeuesqueueidmembers.md): Bulk remove agents/admins from the specified queue.
 - [PATCH /v1/queues/{queueId}/members](https://docs.dixa.io/openapi/dixa-api/v1/queues/patchqueuesqueueidmembers.md): Assign one or more agents/admins to a given queue.
 - [GET /v1/queues/{queueId}/availability](https://docs.dixa.io/openapi/dixa-api/v1/queues/getqueuesqueueidavailability.md): Get availability of supported channels for a given queue. Currently supported channels are adachat, kindlychat, digitalgeniuschat, genericapimessaging.
 - [GET /v1/queues/{queueId}](https://docs.dixa.io/openapi/dixa-api/v1/queues/getqueuesqueueid.md): Get a queue by id.
 - [GET /v1/queues/conversation-position/{csid}](https://docs.dixa.io/openapi/dixa-api/v1/queues/getqueuesconversation-positioncsid.md): Get the approximate position of a given conversation in its current queue.
## Contact Endpoints

 - [GET /v1/contact-endpoints/{contactEndpointId}](https://docs.dixa.io/openapi/dixa-api/v1/contact-endpoints/getcontact-endpointscontactendpointid.md): Get contact endpoint by id (email or phone number).
 - [GET /v1/contact-endpoints](https://docs.dixa.io/openapi/dixa-api/v1/contact-endpoints/getcontact-endpoints.md): List all available contact endpoints in an organization.
## Search

 - [POST /v1/search/conversations](https://docs.dixa.io/openapi/dixa-api/v1/search/postsearchconversations.md): Search for conversations containing a particular text or by filter or combine them both
 - [GET /v1/search/conversations](https://docs.dixa.io/openapi/dixa-api/v1/search/getsearchconversations.md): NOTE: This endpoint is deprecated and is replaced with POST /search/conversations. Search for conversations containing a particular text.
## Webhooks

 - [GET /v1/webhooks/{webhookSubscriptionId}](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/getwebhookswebhooksubscriptionid.md): Get a Webhook Subscription by ID.
 - [DELETE /v1/webhooks/{webhookSubscriptionId}](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/deletewebhookswebhooksubscriptionid.md): Delete a Webhook Subscription.
 - [PATCH /v1/webhooks/{webhookSubscriptionId}](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/patchwebhookswebhooksubscriptionid.md): Patch a Webhook Subscription.
 - [GET /v1/webhooks](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/getwebhooks.md): List of all Webhook Subscriptions in an organization.
 - [POST /v1/webhooks](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/postwebhooks.md): Create a Webhook Subscription.
 - [GET /v1/webhooks/{webhookSubscriptionId}/delivery-status](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/getwebhookswebhooksubscriptioniddelivery-status.md): Get the latest delivery statuses of a Webhook Subscription.
 - [GET /v1/webhooks/{webhookSubscriptionId}/delivery-status/logs/{event}](https://docs.dixa.io/openapi/dixa-api/v1/webhooks/getwebhookswebhooksubscriptioniddelivery-statuslogsevent.md): Get the latest Webhook Subscription Event logs.
## Templates

 - [GET /v1/templates](https://docs.dixa.io/openapi/dixa-api/v1/templates/gettemplates.md): Lists all templates belonging to an organization.
 - [DELETE /v1/templates/{templateId}](https://docs.dixa.io/openapi/dixa-api/v1/templates/deletetemplatestemplateid.md): Deletes the template. Please make sure the template is not used in flows and automations as this operation is irreversible.
## Business Hours

 - [GET /v1/business-hours/schedules](https://docs.dixa.io/openapi/dixa-api/v1/business-hours/getbusiness-hoursschedules.md): List business hours schedules in an organization with pagination.
 - [GET /v1/business-hours/schedules/{scheduleId}/definition](https://docs.dixa.io/openapi/dixa-api/v1/business-hours/getbusiness-hoursschedulesscheduleiddefinition.md): Get a business hours schedule definition in an organization by providing its ID.
 - [GET /v1/business-hours/schedules/{scheduleId}/upcoming](https://docs.dixa.io/openapi/dixa-api/v1/business-hours/getbusiness-hoursschedulesscheduleidupcoming.md): Get the resolved business hours schedule for the next number of days, applying recurring rules and exceptions. Each entry in `businessHours` describes one upcoming day (see its `nextDate`). An entry w
 - [GET /v1/business-hours/schedules/{scheduleId}/status](https://docs.dixa.io/openapi/dixa-api/v1/business-hours/getbusiness-hoursschedulesscheduleidstatus.md): Check if a business is open either right now or at the specified timestamp. When the business is open, `closesAt` holds the end of the current open interval and `opensAt` is null. When it is closed, `
## Knowledge

 - [GET /v1/knowledge/collections/{collectionId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgecollectionscollectionid.md): Get a knowledge collection by id
 - [GET /v1/knowledge/collections/{collectionId}/catalog](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgecollectionscollectionidcatalog.md): Get collection catalog, including all categories and articles
 - [GET /v1/knowledge/categories/{categoryId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgecategoriescategoryid.md): Get a knowledge category by id
 - [GET /v1/knowledge/categories/{categoryId}/translations](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgecategoriescategoryidtranslations.md): Get the knowledge category translations
 - [GET /v1/knowledge/articles/{articleId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgearticlesarticleid.md): Get a knowledge article by id
 - [DELETE /v1/knowledge/articles/{articleId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/deleteknowledgearticlesarticleid.md): Delete a knowledge article
 - [PATCH /v1/knowledge/articles/{articleId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/patchknowledgearticlesarticleid.md): Update a knowledge article
 - [GET /v1/knowledge/articles/{articleId}/translations](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgearticlesarticleidtranslations.md): Get a knowledge article translations
 - [PATCH /v1/knowledge/articles/{articleId}/translations](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/patchknowledgearticlesarticleidtranslations.md): Update translations for a knowledge article. Supports partial success.
 - [POST /v1/knowledge/articles](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticles.md): Create a knowledge article
 - [POST /v1/knowledge/articles/{articleId}/translations/{languageId}/publish](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticlesarticleidtranslationslanguageidpublish.md): Publish a specific translation for search
 - [POST /v1/knowledge/articles/{articleId}/translations/{languageId}/unpublish](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticlesarticleidtranslationslanguageidunpublish.md): Mark a specific translation as unpublished
 - [DELETE /v1/knowledge/articles/{articleId}/translations/{languageId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/deleteknowledgearticlesarticleidtranslationslanguageid.md): Delete all versions of a knowledge article translation
 - [POST /v1/knowledge/articles/{articleId}/publish](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticlesarticleidpublish.md): Publish a new version of all translations for a knowledge article
 - [POST /v1/knowledge/articles/{articleId}/unpublish](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticlesarticleidunpublish.md): Remove all translations of a knowledge article from search
 - [PATCH /v1/knowledge/articles/{articleId}/parent/{parentId}](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/patchknowledgearticlesarticleidparentparentid.md): Move a knowledge article to a new parent
 - [DELETE /v1/knowledge/articles/{articleId}/parent](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/deleteknowledgearticlesarticleidparent.md): Remove a parent from a knowledge article
 - [GET /v1/knowledge/collections](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/getknowledgecollections.md): Paginated list knowledge collections
 - [POST /v1/knowledge/articles/attachments](https://docs.dixa.io/openapi/dixa-api/v1/knowledge/postknowledgearticlesattachments.md): Upload one or more image files to be used as attachments in knowledge articles. Supported formats: image/png, image/jpeg, image/gif, image/webp. Maximum 5 files per request, 4 MB per file, with a tota
## Organization

 - [GET /v1/organization](https://docs.dixa.io/openapi/dixa-api/v1/organization/getorganization.md): Retrieves information about the organization associated with the provided API token
